#!/bin/sh

version=950
source=lesstif-cvs-20090312
target=lesstif-0.$version.0

tar -xf $source.tar && mv $source $target
(
cd $target
for i in ../patches/*
do
	echo "PATCH $i"
	patch -Np1 < $i
done
echo "diff -ru lesstif-cvs-20090312.sv/configure.in lesstif-cvs-20090312/configure.in
--- lesstif-cvs-20090312.sv/configure.in	2006-06-10 11:22:48.000000000 +0200
+++ lesstif-cvs-20090312/configure.in	2009-03-25 02:25:13.000000000 +0100
@@ -10,11 +10,11 @@
 dnl EDIT THESE FOR A NEW RELEASE (automated by a script).
 dnl
 define([LESSTIF_MAJOR_VERSION], [0])
-define([LESSTIF_MINOR_VERSION], [95])
+define([LESSTIF_MINOR_VERSION], [$version])
 define([LESSTIF_PICO_VERSION], [0])
 define([LESSTIF_LAST_MAJOR_VERSION], [0])
-define([LESSTIF_LAST_MINOR_VERSION], [94])
-define([LESSTIF_LAST_PICO_VERSION], [4])
+define([LESSTIF_LAST_MINOR_VERSION], [95])
+define([LESSTIF_LAST_PICO_VERSION], [0])
 
 dnl
 dnl First some auto*-related stuff" | patch -Np1
sh CVSMake
) &&
tar -cjf $target.tar.bz2 $target
